Package org.eclipse.microprofile.lra.tck.participant.nonjaxrs

# Class InvalidReturnTypeParticipant

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.nonjaxrs.InvalidReturnTypeParticipant

@Path("nonjaxrs-return-type") public class InvalidReturnTypeParticipant extends Object
TCK invalid LRA participant containing invalid return type in the participant method signature used for verification of deployment time invalid signature detection and error report in `TckInvalidSignaturesTests`.

## Constructor Summary

Constructors
Constructor
Description
`InvalidReturnTypeParticipant()`

## Method Summary

Modifier and Type
Method
Description
`String`
`compensate()`
`jakarta.ws.rs.core.Response`
`doInLRA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvalidReturnTypeParticipant

public InvalidReturnTypeParticipant()

## Method Details

### doInLRA

@GET @Path("enlist") public jakarta.ws.rs.core.Response doInLRA()

### compensate

public String compensate()